rotate_copy.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::rotate_copy_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::r (requires ` forward_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&indirectly_copyable< I, O >) rrrotate_copy_result< I
| function template `rotate_copy`
template<typename Rng , typename O , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::r (requires ` range< Rng > &&weakly_incrementable< O > &&indirectly_copyable< iterator_t< Rng >, O >) rrrotate_copy_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 O | ranges::rotate_copy (I first, I middle, S last, O out)
CPP_TEMPLATE_AUX_0 O | ranges::rotate_copy (Rng &&rng, iterator_t< Rng > middle, O out)